cascading.flow.planner.iso.expression

## Class ScopeExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ScopeExpression

All Implemented Interfaces:
  Expression<Scope>

Direct Known Subclasses:
  OrdinalScopeExpression, PathScopeExpression

    public abstract class ScopeExpression
    extends Object
    implements Expression<Scope>

If ScopeExpression is the only edge, the `ScopeExpression.Applies` enum will apply, otherwise the number of edges on the target graph must match the number of edges in the expression.

### Nested Class Summary

Nested Classes
`static class` `ScopeExpression.Applies`

### Field Summary

Fields
`static PathScopeExpression` `ALL` Where this expression applies between ALL edges between two nodes.
`static PathScopeExpression` `ANY` Where this expression applies between ANY edge between two nodes.
`protected ScopeExpression.Applies` `applies`
`static PathScopeExpression` `EACH`

### Constructor Summary

Constructors
`protected` `ScopeExpression()`
`protected` `ScopeExpression(ScopeExpression.Applies applies)`

### Method Summary

Methods
`boolean` `acceptsAll()`
`boolean` `appliesToAllPaths()`
`boolean` `appliesToAnyPath()`
`boolean` `appliesToEachPath()`
`ScopeExpression.Applies` `getApplies()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.iso.expression.Expression

`applies`

### Field Detail

#### ANY

    public static final PathScopeExpression ANY

Where this expression applies between ANY edge between two nodes.

#### ALL

    public static final PathScopeExpression ALL

Where this expression applies between ALL edges between two nodes.

#### EACH

    public static final PathScopeExpression EACH

#### applies

    protected ScopeExpression.Applies applies

### Constructor Detail

#### ScopeExpression

    protected ScopeExpression()

#### ScopeExpression

    protected ScopeExpression(ScopeExpression.Applies applies)

### Method Detail

#### appliesToAllPaths

    public boolean appliesToAllPaths()

#### appliesToAnyPath

    public boolean appliesToAnyPath()

#### appliesToEachPath

    public boolean appliesToEachPath()

#### acceptsAll

    public boolean acceptsAll()

#### getApplies

    public ScopeExpression.Applies getApplies()